Bug 1297006 - rubygem-rails-dom-testing-2.0.1 is available
rubygem-rails-dom-testing-2.0.1 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rubygem-rails-dom-testing (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 12:10 EST by Upstream Release Monitoring
Modified: 2016-07-26 11:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: rubygem-rails-dom-testing-1.0.5-3.fc25
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-26 11:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 1.0.7 (#1297006) (1.11 KB, patch)
2016-01-08 12:10 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (16.83 KB, patch)
2016-05-09 08:32 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (16.85 KB, patch)
2016-06-01 08:21 EDT, Upstream Release Monitoring
no flags Details | Diff
Update to 0.6.4 (2.78 KB, patch)
2016-07-11 08:17 EDT, Jun Aruga
no flags Details | Diff
Update to 2.0.1 (1.96 KB, patch)
2016-07-13 10:13 EDT, Jun Aruga
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2016-01-08 12:10:45 EST
Latest upstream release: 1.0.7
Current version/release in rawhide: 1.0.5-2.fc23
URL: https://github.com/kaspth/rails-dom-testing

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2016-01-08 12:10:54 EST
Created attachment 1112940 [details]
[patch] Update to 1.0.7 (#1297006)
Comment 2 Upstream Release Monitoring 2016-01-08 12:14:02 EST
Scratch build completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12468496
Comment 3 Upstream Release Monitoring 2016-05-09 08:31:57 EDT
Latest upstream release: 2.0.0
Current version/release in rawhide: 1.0.5-3.fc24
URL: https://github.com/kaspth/rails-dom-testing

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8730/
Comment 4 Upstream Release Monitoring 2016-05-09 08:32:05 EDT
Patching or scratch build for rubygem-rails-dom-testing-1.0.5 failed.
Comment 5 Upstream Release Monitoring 2016-05-09 08:32:06 EDT
Created attachment 1155302 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 6 Upstream Release Monitoring 2016-05-09 08:32:08 EDT
Patches were not touched. All were applied properly
Comment 7 Upstream Release Monitoring 2016-06-01 08:20:53 EDT
Latest upstream release: 2.0.1
Current version/release in rawhide: 1.0.5-3.fc24
URL: https://github.com/kaspth/rails-dom-testing

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8730/
Comment 8 Upstream Release Monitoring 2016-06-01 08:21:01 EDT
Patching or scratch build for rubygem-rails-dom-testing-1.0.5 failed.
Comment 9 Upstream Release Monitoring 2016-06-01 08:21:02 EDT
Created attachment 1163627 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 10 Upstream Release Monitoring 2016-06-01 08:21:04 EDT
Patches were not touched. All were applied properly
Comment 11 Jun Aruga 2016-07-11 07:23:37 EDT
I will do this!
Comment 12 Jun Aruga 2016-07-11 08:17 EDT
Created attachment 1178379 [details]
Update to 0.6.4

I will upload the patch file again.
It fails to load gem on irb in mock.


```
-mkdir -p %{buildroot}%{gem_extdir_mri}/lib/
-
-mv %{buildroot}%{gem_instdir}/ext/%{gem_name}/websocket_mask.so \
-   %{buildroot}%{gem_extdir_mri}/lib
+mkdir -p %{buildroot}%{gem_extdir_mri}
+cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/
```

Now it is succeed.

```
<mock-chroot>sh-4.3# irb
irb(main):001:0> require 'websocket/driver'
=> true
```
Comment 13 Jun Aruga 2016-07-11 08:23:58 EDT
Sorry my mistake. forget it.

(In reply to Jun Aruga from comment #12)
> Created attachment 1178379 [details]
> Update to 0.6.4
> 
> I will upload the patch file again.
> It fails to load gem on irb in mock.
> 
> 
> ```
> -mkdir -p %{buildroot}%{gem_extdir_mri}/lib/
> -
> -mv %{buildroot}%{gem_instdir}/ext/%{gem_name}/websocket_mask.so \
> -   %{buildroot}%{gem_extdir_mri}/lib
> +mkdir -p %{buildroot}%{gem_extdir_mri}
> +cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so}
> %{buildroot}%{gem_extdir_mri}/
> ```
> 
> Now it is succeed.
> 
> ```
> <mock-chroot>sh-4.3# irb
> irb(main):001:0> require 'websocket/driver'
> => true
> ```
Comment 14 Jun Aruga 2016-07-13 10:13 EDT
Created attachment 1179305 [details]
Update to 2.0.1

I updated to 2.0.1, which is needed by Rails 5.0.0 gems.
After we would prepare rails 5 modules that are depending on it, we can commit this to rawhide.
However I would upload the patch now here.

Note You need to log in before you can comment on or make changes to this bug.